=== debian/changelog ===
hexstrike-ai (0.0~git20250820.0475ec4-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@kali.org>  Fri, 05 Sep 2025 15:07:25 +0200
