=== debian/changelog ===
hexstrike-ai (0.0~git20250919.3326704-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250919.3326704

 -- Sophie Brun <sophie@kali.org>  Thu, 23 Oct 2025 14:30:35 +0200

hexstrike-ai (0.0~git20250909.07d8805-0kali1) kali-dev; urgency=medium

  * New upstream version 0.0~git20250909.07d8805

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Sep 2025 16:40:14 +0200
