=== debian/control ===
Source: hexstrike-ai
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools
Standards-Version: 4.7.2
Homepage: https://github.com/0x4m4/hexstrike-ai
Vcs-Browser: https://gitlab.com/kalilinux/packages/hexstrike-ai
Vcs-Git: https://gitlab.com/kalilinux/packages/hexstrike-ai.git

Package: hexstrike-ai
Architecture: all
Depends: mitmproxy,
         python3-aiohttp,
         python3-bs4,
         python3-flask,
         python3-mcp,
         python3-psutil,
         python3-pwntools,
         python3-requests,
         python3-selenium,
         ${misc:Depends},
         ${python3:Depends}
Recommends: dirb, gobuster, hashcat, hydra, john, nikto, nmap, sqlmap
Description: AI-Powered MCP Cybersecurity Automation Platform
 This package contains an HexStrike AI MCP v6.0 which features a multi-agent
 architecture with autonomous AI agents, intelligent decision-making, and
 vulnerability intelligence.
