=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/0x4m4/hexstrike-ai.git \
  HEAD debian

#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/0x4m4/hexstrike-ai/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
